#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int x1,y1,x2,y2,broj=0;
	cin>>x1>>y1>>x2>>y2;
	if(x1==x2 and y1==y2){
		broj=1;
	}
	if(x1==y1 and x2==y2){
		broj=1;
	}
	
	if(x1==x2 and y1!=y2){
		broj=2;
	}
	if(x1!=x2 and y1==y2){
		broj=2;
	}
	if(x1!=x2 and y1!=y2 and x1!=y1 and x2!=y2){
		broj=0;
	}
	cout<<broj; 
	
	return 0;
}